function [yes, num] = isstrnum(s)


% Part of PFCMP version 2.5.41, an extension to the PSIGNIFIT toolbox for MATLAB versions 5 and up.
% The license and NO WARRANTY statement for PSIGNIFIT also applies to this release - see psych_legal.m
% Copyright (c) J.Hill 2002.
% mailto:psignifit@bootstrap-software.org
% http://www.bootstrap-software.org/psignifit/

num = []; yes = logical(0);
cellfmt = iscell(s);
if ischar(s), s = cellstr(s); end
if ~iscell(s), s = {s}; end

num = repmat({[]}, size(s));
yes = logical(zeros(size(s)));

for i = 1:prod(size(s))
	if isstr(s{i})
		if isequal(s{i}, '[]')
			yes(i) = 1; num{i} = [];
		else
			[num{i} count err] = sscanf(s{i}, '%f');
			yes(i) = isempty(err) & ~isempty(num{i});
			if ~yes(i), num{i} = []; end
		end
	end
end
if ~cellfmt & prod(size(s)) == 1, num = num{1}; end
