function [out1, out2] = nicedata(ts1, ts2, shape, runs)


% Part of PFCMP version 2.5.41, an extension to the PSIGNIFIT toolbox for MATLAB versions 5 and up.
% The license and NO WARRANTY statement for PSIGNIFIT also applies to this release - see psych_legal.m
% Copyright (c) J.Hill 2002.
% mailto:psignifit@bootstrap-software.org
% http://www.bootstrap-software.org/psignifit/

d1 = [
	-1.2144    0.4830    60
	-0.5764    0.5170    60
	-0.2574    0.7000    60
	+0.0616    0.7500    60
	+0.3806    0.8830    60
	+0.6996    1.0000    60
];
d2 = [
	-1.0300    0.5000    60
	-0.5776    0.5830    60
	-0.1600    0.6670    60
	+0.1184    0.8170    60
	+0.3969    0.8830    60
	+0.7101    1.0000    60
];

if nargin < 4, runs = 1999; end
if nargin < 3, shape = 'c'; end
if nargin < 2, ts2 = [3.6 0.33]; end
if nargin < 1, ts1 = [3.0 0.6]; end

d1(:, 1) = ts1(1) + d1(:, 1) / ts1(2);
d2(:, 1) = ts2(1) + d2(:, 1) / ts2(2);

if nargout == 2
	out1 = d1;
	out2 = d2;
	return
end

pfcmp(d1, d2, 'shape', shape, 'runs', runs);
out1 = ans;
